PTHREAD_MUTEX_UNLOCK(3)

NAME
pthread_mutex_unlock - unlock a mutex

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_mutex_unlock(pthread_mutex_t *mutex);

DESCRIPTION
If the current thread holds the lock on mutex, then the pthread_mutex_unlock() function unlocks mutex.

If the argument pointed by the mutex is a robust mutex in the inconsistent state, and the call to pthread_mutex_consistent() function was not done prior to unlocking, further locking attempts on the mutex mutex are denied and locking functions return ENOTRECOVERABLE error.

RETURN VALUES
If successful, pthread_mutex_unlock() will return zero, otherwise an error number will be returned to indicate the error.

ERRORS
The pthread_mutex_unlock() function will fail if:

[EINVAL]
    The value specified by mutex is invalid.

[EPERM]
    The current thread does not hold a lock on mutex.

SEE ALSO
pthread_mutex_destroy(3), pthread_mutex_init(3), pthread_mutex_lock(3), pthread_mutex_trylock(3)

STANDARDS
The pthread_mutex_unlock() function conforms to p1003.1-96.